﻿.dg-page {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.dg-actions {
    display: flex;
    gap: 20px;
    justify-content: flex-end;
}

/* btn-dg */
.btn-dg {
    font-size: 16px;
    font-weight: 700;
    line-height: 23px;
    min-width: 48px;
    margin-right: 8px;
    --bs-btn-padding-x: 8px;
    --bs-btn-padding-y: 4px;
    --bs-btn-border-radius: 7px;
}

.btn-dg:last-child {
    margin-right: 0;
}

.btn-dg-primary {
    --bs-btn-bg: rgb(var(--button-dg-primary));
    --bs-btn-color: rgb(var(--white));
    --bs-btn-hover-bg: rgb(var(--button-dg-primary));
    --bs-btn-hover-color: rgb(var(--white));
}

.btn-dg-secondary {
    --bs-btn-bg: rgb(var(--button-dg-secondary));
    --bs-btn-color: rgb(var(--white));
    --bs-btn-hover-bg: rgb(var(--button-dg-secondary));
    --bs-btn-hover-color: rgb(var(--white));
}

.btn-dg-third {
    --bs-btn-bg: rgb(var(--button-dg-third));
    --bs-btn-color: rgb(var(--white));
    --bs-btn-hover-bg: rgb(var(--button-dg-third));
    --bs-btn-hover-color: rgb(var(--white));
}

.btn-dg-quaternary {
    --bs-btn-bg: rgb(var(--button-dg-quaternary));
    --bs-btn-color: rgb(var(--white));
    --bs-btn-hover-bg: rgb(var(--button-dg-quaternary));
    --bs-btn-hover-color: rgb(var(--white));
}

.btn-dg-delete {
    --bs-btn-bg: rgb(var(--button-dg-delete));
    --bs-btn-color: rgb(var(--white));
    --bs-btn-hover-bg: rgb(var(--button-dg-delete));
    --bs-btn-hover-color: rgb(var(--white));
}

/* dg-search */
.dg-search-section {
    background-color: rgb(var(--green-300) / 0.8);
    border-radius: 10px;
}

.dg-search-content {
    --content-padding-x: 7.5rem;
    --col: 1;
    --min-width: 0;
    display: grid;
    margin: 0 auto;
    width: calc(100% - (var(--content-padding-x) * 2));
    gap: 30px 40px;
    padding: 28px 0;
    min-width: var(--min-width);
    grid-template-columns: repeat(var(--col), 1fr);
}

.dg-search-actions {
    display: flex;
    gap: 20px;
    justify-content: center;
}

/* dg-detail */
.dg-detail {
    gap: 25px;
}

.dg-detail-section {
    background-color: rgb(var(--blue-700) / 0.8);
    border-radius: 10px;
    width: 100%;
    max-width: 40rem;
    margin: 0 auto;
}

.dg-detail-header {
    --content-padding-x: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 8px;
    color: rgb(var(--white));
    margin: 0 auto;
    width: calc(100% - (var(--content-padding-x) * 2));
    padding-top: 24px;
    font-size: 24px;
    font-weight: 700;
    line-height: 1.25;
}

.dg-detail-content {
    --content-padding-x: 1.5rem;
    display: grid;
    margin: 0 auto;
    width: calc(100% - (var(--content-padding-x) * 2));
    gap: 16px;
    padding: 24px 0;
    grid-template-columns: minmax(168px, max-content) 1fr;
}

.dg-detail-content .form-group {
    display: contents;
}

.dg-detail-content .form-group label {
    padding-top: 6px;
}

.dg-detail-content .form-group .form-control[readonly],
.dg-detail-content .form-group .form-select[readonly] {
    padding: 0;
    padding-top: 6px;
    height: unset;
}

.dg-detail-actions {
    display: flex;
    gap: 20px;
    justify-content: center;
}

/* delete */
.delete-confirm-hint {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    border-radius: 10px 10px 0 0;
    background-color: rgb(var(--danger-100));
    color: rgb(var(--danger-600));
    padding: 8px;
    font-size: 18px;
    font-weight: 500;
    line-height: 26px;
    text-align: center;
}

/* modal */
.modal {
    --bs-modal-header-padding: 12px;
    --bs-modal-border-radius: 10px;
    --bs-modal-header-border-width: 0;
    --bs-modal-footer-border-width: 0;
    --bs-modal-padding: 16px 36px;
}

.modal-content {
    min-height: 200px;
}

.modal-header {
    position: relative;
    display: block;
    background-color: rgb(var(--blue-800));
    color: rgb(var(--white));
    text-align: center;
    min-height: 3.25rem;
}

.modal-header .btn-close {
    position: absolute;
    font-size: 12px;
    border-radius: 999px;
    background-color: rgb(var(--white));
    color: rgb(var(--blue-800));
    margin: 0;
    top: 12px;
    right: 12px;
    opacity: 1;
}

.modal-body {
    display: flex;
    justify-content: center;
    align-items: center;
}

.modal .dg-detail-content {
    --content-padding-x: 0 !important;
    padding: 0;
}

.modal .form-group label,
.modal .form-group span {
    text-align: start;
    color: rgb(var(--black));
}

.modal-footer {
    padding: 0 0 24px 0;
}

@media only screen and (max-width: 767px) {
    .dg-search-content {
        --col: 1;
        --min-width: 0;
        width: unset;
        padding: 2rem 2rem 2.5rem;
    }

    .dg-detail-header,
    .dg-detail-content {
        --content-padding-x: 1.5rem;
    }

    .dg-detail-content {
        grid-template-columns: 4.5rem 1fr;
        gap: 16px 8px;
    }

    .dg-detail .form-group .form-control[readonly],
    .dg-detail .form-group .form-select[readonly] {
        text-align: end;
    }
}

@media only screen and (min-width: 768px) {
    .dg-search-content {
        --col: 2;
        --min-width: 36rem;
    }

    .dg-detail-header,
    .dg-detail-content {
        --content-padding-x: 2rem;
    }
}

@media only screen and (min-width: 992px) {
    .dg-search-content {
        --col: 4;
        --min-width: 48rem;
    }

    .dg-detail-header,
    .dg-detail-content {
        --content-padding-x: 3rem;
    }
}

@media only screen and (min-width: 1200px) {
    .dg-search-content {
        --col: 5;
        --min-width: 60rem;
    }

    .dg-detail-header,
    .dg-detail-content {
        --content-padding-x: 4rem;
    }
}
